package service.impl.fitness;

import model.Individual;
import service.api.FitnessFunctionService;
import utils.EvolutionUtils;

/**
 * Pouze pro test samotneho evolucaku
 */
public class MyFitnessFunction implements FitnessFunctionService {

    @Override
    public Double calculateFitnessFunction(Individual individual) {
        String chromosome = individual.getChromosome();
        int countOfPositiveGens = EvolutionUtils.getCountOfPositiveGens(chromosome);
        return (double) countOfPositiveGens * Math.random();
    }
}
