package utils;

import model.Individual;
import org.apache.commons.lang3.StringUtils;

/**
 * Created with IntelliJ IDEA.
 * User: lukas
 * Date: 13.4.15
 */
public final class EvolutionUtils {

    public static String changeCharInPosition(int position, char ch, String str){
        char[] charArray = str.toCharArray();
        charArray[position] = ch;
        return new String(charArray);
    }

    /**
     * Create offspring
     */
    public static Individual createIndividual(String childChromosome) {
        Individual child = new Individual();
        child.setChromosome(childChromosome);
        return child;
    }

    public static int getCountOfPositiveGens(String chromosome) {
        return StringUtils.countMatches(chromosome, "1");
    }
}
